libuser-python-0.56.13-8.el6_7.i686.rpm


Advertisement

Description

libuser-python - Python bindings for the libuser library

Property Value
Distribution CentOS 6
Repository CentOS i386
Package filename libuser-python-0.56.13-8.el6_7.i686.rpm
Package name libuser-python
Package version 0.56.13
Package release 8.el6_7
Package architecture i686
Package type rpm
Category Development/Libraries
Homepage https://fedorahosted.org/libuser/
License LGPLv2+
Maintainer -
Download size 49.55 KB
Installed size 60.76 KB
The libuser-python package contains the Python bindings for
the libuser library, which provides a Python API for manipulating and
administering user and group accounts.

Alternatives

Package Version Architecture Repository
libuser-python-0.56.13-8.el6_7.x86_64.rpm 0.56.13 x86_64 CentOS
libuser-python - - -

Requires

Name Value
libc.so.6(GLIBC_2.4) -
libcrypt.so.1 -
libglib-2.0.so.0 -
libgmodule-2.0.so.0 -
libgobject-2.0.so.0 -
libgthread-2.0.so.0 -
libpam.so.0 -
libpam.so.0(LIBPAM_1.0) -
libpam_misc.so.0 -
libpam_misc.so.0(LIBPAM_MISC_1.0) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
librt.so.1 -
libselinux.so.1 -
libuser = 0.56.13-8.el6_7
libuser.so.1 -
python(abi) = 2.6
rtld(GNU_HASH) -

Provides

Name Value
libuser-python = 0.56.13-8.el6_7
libuser-python(x86-32) = 0.56.13-8.el6_7
libusermodule.so -

Download

Type URL
Mirror mirror.centos.org
Binary Package libuser-python-0.56.13-8.el6_7.i686.rpm
Source Package libuser-0.56.13-8.el6_7.src.rpm

Install Howto

Install libuser-python rpm package:

# yum install libuser-python

Files

Path
/usr/lib/python2.6/site-packages/libusermodule.so
/usr/share/doc/libuser-python-0.56.13/modules.txt

Changelog

2015-07-08 - Miloslav Trmač <mitr@redhat.com> - 0.56.13-8
- Update CVE-2015-3246 patch based on review comments
Resolves: #1235518
2015-06-27 - Miloslav Trmač <mitr@redhat.com> - 0.56.13-7
- Don’t use 512-bit RSA private keys in tests
Related: #1235518
- Fix testsuite failures if more than one architecture is building concurrently
Related: #1235518
2015-06-26 - Miloslav Trmač <mitr@redhat.com> - 0.56.13-6
- Fix CVE-2015-3246
Resolves: #1235518
2012-02-13 - Miloslav Trmač <mitr@redhat.com> - 0.56.13-5
- Correctly mark the LDAP default password value as encrypted (CVE-2011-0002)
Resolves: #668021
- Default LDAP cn to username if gecos is empty
Resolves: #670151
- Preserve setuid and setgid bits when copying files from /etc/skel
Resolves: #724987
- Fix segfault when reading database files with certain sizes
Resolves: #788521
2010-09-01 - Miloslav Trmač <mitr@redhat.com> - 0.56.13-4
- Change default crypt_style to sha512
Resolves: #629001
2010-07-07 - Miloslav Trmač <mitr@redhat.com> - 0.56.13-3
- Provide LU_VALUE_INVALID_ID and id_t validation in the Python module
Resolves: #610838
2010-02-08 - Miloslav Trmač <mitr@redhat.com> - 0.56.13-2
- Allow supplying passwords from scripts
- Allow specifying a LDAP simple bind password in libuser.conf
Resolves: #562832
2009-12-11 - Miloslav Trmač <mitr@redhat.com> - 0.56.13-1
- Update to libuser-0.56.13.
Resolves: #251951
Resolves: #454079
Resolves: #456373
Resolves: #456382
Resolves: #530513
2009-10-02 - Miloslav Trmač <mitr@redhat.com> - 0.56.12-1
- Update to libuser-0.56.12.
2009-09-14 - Miloslav Trmač <mitr@redhat.com> - 0.56.11-1
- Update to libuser-0.56.11.
Resolves: #454091
Resolves: #456267
Resolves: #456270
Resolves: #487129

See Also

Package Description
libutempter-1.1.5-4.1.el6.i686.rpm A privileged helper for utmp/wtmp updates
libutempter-devel-1.1.5-4.1.el6.i686.rpm Development environment for utempter
libuuid-2.17.2-12.28.el6_9.2.i686.rpm Universally unique ID library
libuuid-devel-2.17.2-12.28.el6_9.2.i686.rpm Universally unique ID library
libv4l-0.6.3-2.el6.i686.rpm Collection of video4linux support libraries
libv4l-devel-0.6.3-2.el6.i686.rpm Development files for libv4l
libvirt-0.10.2-64.el6.i686.rpm Library providing a simple virtualization API
libvirt-cim-0.6.1-12.el6.i686.rpm A CIM provider for libvirt
libvirt-client-0.10.2-64.el6.i686.rpm Client side library and utilities of the libvirt library
libvirt-devel-0.10.2-64.el6.i686.rpm Libraries, includes, etc. to compile with the libvirt library
libvirt-java-0.4.9-1.el6.noarch.rpm Java bindings for the libvirt virtualization API
libvirt-java-devel-0.4.9-1.el6.noarch.rpm Compressed Java source files for libvirt-java
libvirt-java-javadoc-0.4.9-1.el6.noarch.rpm Java documentation for libvirt-java
libvirt-python-0.10.2-64.el6.i686.rpm Python bindings for the libvirt library
libvirt-snmp-0.0.2-5.el6.i686.rpm SNMP functionality for libvirt
Advertisement
Advertisement